Index: mythvideo/i18n/mythvideo_fi.ts
===================================================================
--- mythvideo/i18n/mythvideo_fi.ts	(revision 19002)
+++ mythvideo/i18n/mythvideo_fi.ts	(working copy)
@@ -1,26 +1,46 @@
 <!DOCTYPE TS><TS>
 <context>
-    <name></name>
+    <name>@default</name>
     <message>
         <source>G</source>
         <comment>PL 1 default search string.</comment>
-        <translation type="unfinished"></translation>
+        <translation>G</translation>
     </message>
     <message>
         <source>PG</source>
         <comment>PL 2 default search string.</comment>
-        <translation type="unfinished"></translation>
+        <translation>PG</translation>
     </message>
     <message>
         <source>PG-13</source>
         <comment>PL3 default search string.</comment>
-        <translation type="unfinished"></translation>
+        <translation>PG-13</translation>
     </message>
     <message>
         <source>R:NC-17</source>
         <comment>PL4 default search string.</comment>
-        <translation type="unfinished"></translation>
+        <translation>R:NC-17</translation>
     </message>
+    <message>
+        <source>Cover download stopped.</source>
+        <translation>Kansikuvan lataus lopetettu.</translation>
+    </message>
+    <message>
+        <source>Error writing data to file %1.</source>
+        <translation>Virhe kirjoittaessa tietoa tiedostoon %1.</translation>
+    </message>
+    <message>
+        <source>Error: file error &apos;%1&apos; for file %2</source>
+        <translation>Virhe: tiedostovirhe &apos;%1&apos; tiedostolle %2</translation>
+    </message>
+    <message>
+        <source>No command to run.</source>
+        <translation>Ei ajettavaa komentoa.</translation>
+    </message>
+    <message>
+        <source>An error occurred when switching views.</source>
+        <translation>Tapahtui virhe vaihdettaessa näyttöä.</translation>
+    </message>
 </context>
 <context>
     <name>DVDRipBox</name>
@@ -30,19 +50,19 @@
     </message>
     <message>
         <source>Cannot connect to your Myth Transcoding Daemon. You can try hitting any number key to start it. If you still see this message, then something is really wrong.</source>
-        <translation>Ei voida kytkeytyä Myth Jälkikäsittely-palvelimeen. Voit yrittää käynnistää sen painamalla mitä tahansa numeronäppäintä.</translation>
+        <translation type="obsolete">Ei voida kytkeytyä Myth Jälkikäsittely-palvelimeen. Voit yrittää käynnistää sen painamalla mitä tahansa numeronäppäintä.</translation>
     </message>
     <message>
         <source>Attempting to connect to your mtd said host not found. This is unrecoverably bad. </source>
-        <translation>Isäntäkonetta ei löydetty. </translation>
+        <translation type="obsolete">Isäntäkonetta ei löydetty. </translation>
     </message>
     <message>
         <source>Socket communication errors. This is unrecoverably bad. </source>
-        <translation>Virhe liitynnässä isäntäkoneeseen. </translation>
+        <translation type="obsolete">Virhe liitynnässä isäntäkoneeseen. </translation>
     </message>
     <message>
         <source>Something is wrong, but I don&apos;t know what.</source>
-        <translation>Jotain on vialla.</translation>
+        <translation type="obsolete">Jotain on vialla.</translation>
     </message>
     <message>
         <source>Job %1 of %2</source>
@@ -78,7 +98,7 @@
     </message>
     <message>
         <source>No jobs and nothing else to do. You could rip a disc if you like.</source>
-        <translation>Ei töitä eikä mitään muutakaan tekemistä.</translation>
+        <translation type="obsolete">Ei töitä eikä mitään muutakaan tekemistä.</translation>
     </message>
     <message>
         <source>New Rip</source>
@@ -88,6 +108,22 @@
         <source>Cancel Job</source>
         <translation>Peruuta Työ</translation>
     </message>
+    <message>
+        <source>Attempting to launch mtd...</source>
+        <translation>Yritetään käynnistää mtd:tä...</translation>
+    </message>
+    <message>
+        <source>Cannot connect to your Myth Transcoding Daemon.</source>
+        <translation>Ei pysty yhdistämään Myth Transcoing Daemoniin.</translation>
+    </message>
+    <message>
+        <source>Attempting to connect to your mtd said host not found. Unable to recover.</source>
+        <translation>Yritettäessä yhdistää mtd ilmoitti, että palvelinta ei löytyny. Ei pystytä palautumaan.</translation>
+    </message>
+    <message>
+        <source>Unknown connection error.</source>
+        <translation>Tuntematon yhdistämisvirhe.</translation>
+    </message>
 </context>
 <context>
     <name>EditMetadataDialog</name>
@@ -107,20 +143,24 @@
         <source>Done</source>
         <translation>Valmis</translation>
     </message>
+    <message>
+        <source>Enter new category</source>
+        <translation>Syötä uusi kategoria</translation>
+    </message>
 </context>
 <context>
     <name>FileAssocDialog</name>
     <message>
         <source>Please enter the new extension:</source>
-        <translation>Anna uusi tiedostopääte:</translation>
+        <translation type="obsolete">Anna uusi tiedostopääte:</translation>
     </message>
     <message>
         <source>Create new extension</source>
-        <translation>Luo uusi tiedostopääte</translation>
+        <translation type="obsolete">Luo uusi tiedostopääte</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Peruuta</translation>
+        <translation type="obsolete">Peruuta</translation>
     </message>
     <message>
         <source>Done</source>
@@ -134,6 +174,10 @@
         <source>Delete</source>
         <translation>Poista</translation>
     </message>
+    <message>
+        <source>Enter the new extension:</source>
+        <translation>Syötä uusi laajennus:</translation>
+    </message>
 </context>
 <context>
     <name>QObject</name>
@@ -155,7 +199,7 @@
     </message>
     <message>
         <source>This is the &apos;level&apos; that MythVideo starts at. Any videos with a level at or below this will be shown in the list or while browsing by default. The Parental PIN should be set to limit changing of the default level.</source>
-        <translation type="unfinished"></translation>
+        <translation>MythVideo käynnistyy tällä &apos;tasolla&apos;. Oletusarvona kaikki videot tällä tasolla, tai alle tämän tason, näytetään luettelossa tai selatessa. Ikäluokitukselle olisi hyvä laittaa PIN-koodi rajoittamaan oletustason muuttamista.</translation>
     </message>
     <message>
         <source>Parental Control PIN</source>
@@ -163,7 +207,7 @@
     </message>
     <message>
         <source>If set, you will not be able to return to this screen and reset the Parental PIN without first entering the current PIN. You have been warned.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, et pysty palaamaan tähän valikkoon ja muuttamaan Ikäluokituksen PIN -koodia syöttämättä nykyistä PIN -koodia. Sinua on varoitettu. </translation>
     </message>
     <message>
         <source>Show Unknown File Types</source>
@@ -171,7 +215,7 @@
     </message>
     <message>
         <source>If set, all files below the Myth Video directory will be displayed unless their extension is explicitly set to be ignored. </source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, kaikki tiedostot Mth Video kansiossa tullaan näyttämään, ellei tiettyä tiedostotyyppiä ol erikseen asetetettu piilotettavaksi.</translation>
     </message>
     <message>
         <source>Video List browses files</source>
@@ -179,7 +223,7 @@
     </message>
     <message>
         <source>If set, this will cause the Video List screen to show all relevant files below the MythVideo starting directory whether they have been scanned or not.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, Videoluettelo näyttää kaikki asiaankuuluvat tiedostot MythVideo -kansiossa, siitä riippumatta onko niitä skannattu vai ei.</translation>
     </message>
     <message>
         <source>Default Player</source>
@@ -215,11 +259,11 @@
     </message>
     <message>
         <source>If set, newly scanned files in the Video Manager will be marked as browsable and will appear in the &apos;Browse&apos; menu.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, äskettäin skannatut tiedostot Videomanagerissa tullaan merkitsemään selattaviksi ja ne näkyvät &apos;Selaa&apos; -valikossa.</translation>
     </message>
     <message>
         <source>New category</source>
-        <translation>Uusi kategoria</translation>
+        <translation type="obsolete">Uusi kategoria</translation>
     </message>
     <message>
         <source>Command to search for movie listings</source>
@@ -227,7 +271,7 @@
     </message>
     <message>
         <source>This command must be executable by the user running MythVideo.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämän komennon täytyy olla ajettavissa käytettäessä MythVideota.</translation>
     </message>
     <message>
         <source>Command to search for movie posters</source>
@@ -243,7 +287,7 @@
     </message>
     <message>
         <source>This directory must exist, and the user running MythVideo needs to have read/write permission to the directory.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämän kansion täytyy olla olemassa ja käyttäjällä, joka käyttää MythVideota, täytyy olla luku- ja kirjoitusoikeus tähän kansioon.</translation>
     </message>
     <message>
         <source>Video Manager</source>
@@ -251,7 +295,7 @@
     </message>
     <message>
         <source>Could not retrieve poster</source>
-        <translation>Julistetta ei saatu</translation>
+        <translation type="obsolete">Julistetta ei saatu</translation>
     </message>
     <message>
         <source>Aggressive Parental Control</source>
@@ -275,35 +319,31 @@
     </message>
     <message>
         <source>This is the command used for any file that the extension is not specifically defined. You may also enter the name of one of the playback plugins such as &apos;Internal&apos;.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tätä komentoa käytetään mille tahansa tiedostolle, jonka tiedostopäätettä ei ole määritelty. Voit myös syöttää jonkin toistoliitännäisen nimen, kuten &apos;Internal&apos;.</translation>
     </message>
     <message>
         <source>Rows to display</source>
-        <translation>Riviä näytettäväksi</translation>
+        <translation type="obsolete">Riviä näytettäväksi</translation>
     </message>
     <message>
         <source>Columns to display</source>
-        <translation>Saraketta näytettäväksi</translation>
+        <translation type="obsolete">Saraketta näytettäväksi</translation>
     </message>
     <message>
         <source>Show title below thumbnails</source>
-        <translation>Näytä Nimike esikatselukuvan alla</translation>
+        <translation type="obsolete">Näytä Nimike esikatselukuvan alla</translation>
     </message>
     <message>
-        <source>If set, the additional text will make the thumbnails smaller.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <source>Maintain aspect ratio of thumbnails</source>
         <translation type="obsolete">Säilytä esikatselukuvien kuvasuhde</translation>
     </message>
     <message>
         <source>Video Gallery</source>
-        <translation>Videogalleria</translation>
+        <translation type="obsolete">Videogalleria</translation>
     </message>
     <message>
         <source>The default view for MythVideo. Other views can be reached via the popup menu available via the MENU key.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämä on oletusnäkymä MythVideolle. Muut näkymät saadaan esille valikosta käyttämällä MENU -painiketta.</translation>
     </message>
     <message>
         <source>Video Browser browses files</source>
@@ -311,7 +351,7 @@
     </message>
     <message>
         <source>If set, this will cause the Video Browser screen to show all relevant files below the MythVideo starting directory whether they have been scanned or not.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, Videoselain näyttämä kaikki asiaankuuluvat tiedostot MythVideo -kansiossa, siitä riippumatta onko niitä skannattu vai ei.</translation>
     </message>
     <message>
         <source>Video Gallery browses files</source>
@@ -319,7 +359,7 @@
     </message>
     <message>
         <source>If set, this will cause the Video Gallery screen to show all relevant files below the MythVideo starting directory whether they have been scanned or not.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, tämä Videogalleria näyttää kaikki asiaankuuluvat tiedostot MythVideo -kansiossa, siitä riippumatta onko niitä skannattu vai ei.</translation>
     </message>
     <message>
         <source>General Settings (1/2)</source>
@@ -335,7 +375,7 @@
     </message>
     <message>
         <source>If set along with Browse Files, this will cause the Video List to load any known video metadata from the database. Turning this off can greatly  speed up how long it takes to load the Video List tree</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu &apos;Selaa tiedostoja&apos; kanssa, Videolista näyttää kaiken tunnetun metatiedon tietokannassa. Tämän sulkeminen voi suuresti nopeuttaa Videolistan latausta</translation>
     </message>
     <message>
         <source>Sorting ignores case</source>
@@ -343,7 +383,7 @@
     </message>
     <message>
         <source>If set, case is ignored when sorting entries in a view.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, tapaus ohitetaan kun kohteita järjestellään uudessa näkymässä.</translation>
     </message>
     <message>
         <source>Show folders for database views</source>
@@ -351,19 +391,15 @@
     </message>
     <message>
         <source>If set, sub folders of your video directory will be shown in supported views.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, avideokansiosi alikansiot näytetään tuetuissa näkymissä. </translation>
     </message>
     <message>
         <source>Image cache size</source>
-        <translation>Kuvavälimuistin koko</translation>
+        <translation type="obsolete">Kuvavälimuistin koko</translation>
     </message>
     <message>
-        <source>This setting determines the number of images MythVideo will cache for views.</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
         <source>^(The |A |An )</source>
-        <translation type="unfinished"></translation>
+        <translation></translation>
     </message>
     <message>
         <source>All</source>
@@ -405,7 +441,7 @@
         <source>
 
 You have no VCD Player command defined.</source>
-        <translation>
+        <translation type="obsolete">
 VCD Toisto-komentoa ei ole määritelty.</translation>
     </message>
     <message>
@@ -434,7 +470,7 @@
     </message>
     <message>
         <source>This device must exist, and the user running MythDVD needs to have read permission on the device.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämän läitteen täytyy poistua ja käyttäjällä, joka käyttää MythDVD:tä, täytyy olla lukuoikeudet tähän laitteeseen.</translation>
     </message>
     <message>
         <source>Location of DVD device</source>
@@ -454,7 +490,7 @@
     </message>
     <message>
         <source>This can be any command to launch a VCD player (e.g. MPlayer, xine, etc.). If present, %d will be substituted for the VCD device (e.g. /dev/cdrom).</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämä voi olla mikä tahansa komento, jolla käynnistetään jokin VCD -soitin (esim. MPlayer, xine, jne.). Jos paikalla, %d korvaa VCD -laitteen (esim. /dev/cdrom).</translation>
     </message>
     <message>
         <source>DVD Player Settings</source>
@@ -470,7 +506,7 @@
     </message>
     <message>
         <source>This directory must exist, and the user running MythDVD needs to have write permission to the directory.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämän kansion täytyy olla olemassa ja käyttäjällä, joka käyttää MythDVD:tä, täytyy olla kirjoitusoikeus tähän kansioon.</translation>
     </message>
     <message>
         <source>Title Playing Command</source>
@@ -478,7 +514,7 @@
     </message>
     <message>
         <source>This is a command used to preview a given title on a DVD. If present %t will be set to the title, %d for device, %a for audio track, %c for audio channels.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tätä komentoa käytetään esikatselemaan mitä tahansa kohdetta DVD:llä. Jos paikalla, %t asetetaan otsikoksi, %d laitteelle, %a ääniraidalle, %c äänikanavalle.</translation>
     </message>
     <message>
         <source>Subtitle arguments:</source>
@@ -486,7 +522,7 @@
     </message>
     <message>
         <source>If you choose any subtitles for ripping, this command is added to the end of the Title Play Command to allow previewing of subtitles. If  present %s will be set to the subtitle track. </source>
-        <translation type="unfinished"></translation>
+        <translation>Jos valitset tekstitykset rippaukseen, tämä komento lisätään Otsikon toisto -komennon loppuun, mahdollistaakseen tekstityksen esikatselun. Jos paikalla, %s asetetaan tekstityksen raidaksi.</translation>
     </message>
     <message>
         <source>Base transcode command</source>
@@ -494,7 +530,7 @@
     </message>
     <message>
         <source>This is the base (without arguments) command to run transcode on your system.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämä on peruskomento (ilman argumenttejä) suorittaa transkoodauksen järjestelmässäsi.</translation>
     </message>
     <message>
         <source>MTD port number</source>
@@ -502,7 +538,7 @@
     </message>
     <message>
         <source>The port number that should be used for communicating with the MTD (Myth Transcoding Daemon)</source>
-        <translation type="unfinished"></translation>
+        <translation>Portin numero, jota tulisi käyttää kun keskustellaan MTD:n kanssa (Myth Transcoding Daemon)</translation>
     </message>
     <message>
         <source>MTD logs to terminal window</source>
@@ -510,7 +546,7 @@
     </message>
     <message>
         <source>If set, the MTD (Myth Transcoding Daemon) will log to the window it is started from. Otherwise, it will write to a file called  mtd.log in the top level ripping directory.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, MTD (Myth Transcoding Daemon) tekee lokitiedoston siihen ikkunaan mistä se alkoi. Muutoin se tekee tiedoston nimeltään mtd.log ylimpään siirtokopiointikansioon.</translation>
     </message>
     <message>
         <source>Transcode AC3 Audio</source>
@@ -518,7 +554,7 @@
     </message>
     <message>
         <source>If set, the MTD (Myth Transcoding Daemon) will, by default, preserve AC3 (Dolby Digital) audio in transcoded files. </source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, MTD säilyttää, oletuksena, AC3 (Dolby Digital) äänet transkoodatuissa tiedostoissa.</translation>
     </message>
     <message>
         <source>Use xvid rather than divx</source>
@@ -526,7 +562,7 @@
     </message>
     <message>
         <source>If set, mythdvd will use the (open, free) xvid codec rather than divx whenever possible.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, mythdvd käyttää (avoimia, vapaita) xvid -kodeekeja divx:n sijaan aina kun mahdollista.</translation>
     </message>
     <message>
         <source>Nice level for MTD</source>
@@ -534,7 +570,7 @@
     </message>
     <message>
         <source>This determines the priority of the Myth Transcoding Daemon. Higher numbers mean lower priority (more CPU to other tasks).</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämä määrittää Myth Transcoding Daemonin prioriteetit. Suuremmat luvut tarkoittavat pienempää prioriteettiä (enemmen prosessoritehoa muihin töihin).</translation>
     </message>
     <message>
         <source>Ripped video segments</source>
@@ -542,7 +578,7 @@
     </message>
     <message>
         <source>If set to something other than 0, ripped video titles will be broken up into files of this size (in MB). Applies to both perfect quality recordings and intermediate files used for transcoding.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu muuksi kuin 0, siirtokopioidut videot tullaan halkomaan tämän kokoisiksi tiedostoiksi (MB:nä). Koskee niin transkoodattavia nauhoituksia täydellisellä laadulla, kuin keskitasoisiin tiedostoihin.</translation>
     </message>
     <message>
         <source>DVD Ripper Settings</source>
@@ -594,7 +630,7 @@
     </message>
     <message>
         <source>This determines the number of simultaneous transcode jobs. If set at 1 (the default), there will only be one active job at a time.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämä määrittää yhtäaikaisten transkoodaustöiden lukumäärän. Jos asetettu 1 (oletus), vain yksi työ tullaan ajamaan kerrallaan. </translation>
     </message>
     <message>
         <source>On DVD insertion</source>
@@ -650,15 +686,15 @@
     </message>
     <message>
         <source>Display a prompt to choose whether to play the DVD from the beginning or from the bookmark</source>
-        <translation type="unfinished"></translation>
+        <translation>Näytä kysymys, josta valita toistetaanko DVD alusta vai kirjainmerkistä</translation>
     </message>
     <message>
         <source>This can be any command to launch a DVD  player (e.g. MPlayer, ogle, etc.). If present, %d will be substituted for the DVD device (e.g. /dev/dvd).</source>
-        <translation type="unfinished"></translation>
+        <translation>Tämä voi olla mikä tahansa komento, jolla käynnistää DVD -soitin (esim. MPlayer, ogle, jne.). Jos paikalla, %d korvaa DVD -laitteen (esim. /dev/dvd).</translation>
     </message>
     <message>
         <source>General Settings (%1/%2)</source>
-        <translation type="unfinished"></translation>
+        <translation>Yleisasetukset (%1/%2)</translation>
     </message>
     <message>
         <source>NR</source>
@@ -678,33 +714,33 @@
     </message>
     <message>
         <source>Searching for video files</source>
-        <translation>Haetaan videoita</translation>
+        <translation type="obsolete">Haetaan videoita</translation>
     </message>
     <message>
         <source>No to all</source>
-        <translation>Ei kaikkiin</translation>
+        <translation type="obsolete">Ei kaikkiin</translation>
     </message>
     <message>
         <source>Yes to all</source>
-        <translation>Kyllä kaikkiin</translation>
+        <translation type="obsolete">Kyllä kaikkiin</translation>
     </message>
     <message>
         <source>File Missing</source>
-        <translation>Tiedosto Hukassa</translation>
+        <translation type="obsolete">Tiedosto Hukassa</translation>
     </message>
     <message>
         <source>%1 appears to be missing.
 Remove it from the database?</source>
-        <translation>%1 näyttää olevan hukassa.
+        <translation type="obsolete">%1 näyttää olevan hukassa.
 Poistetaanko tietokannasta?</translation>
     </message>
     <message>
         <source>Updating video database</source>
-        <translation>Päivitetään videotietokantaa</translation>
+        <translation type="obsolete">Päivitetään videotietokantaa</translation>
     </message>
     <message>
         <source>Verifying video files</source>
-        <translation>Tarkistetaan videotiedostoja</translation>
+        <translation type="obsolete">Tarkistetaan videotiedostoja</translation>
     </message>
     <message>
         <source>No rating available.</source>
@@ -716,71 +752,71 @@
     </message>
     <message>
         <source>Setting this value to all numbers will make your life much easier.</source>
-        <translation type="unfinished"></translation>
+        <translation>Asettamalla tämän arvon asetus kaikille numeroille tekee elämästäsi paljon helpompaa.</translation>
     </message>
     <message>
         <source>Parental Level 4 PIN</source>
-        <translation type="unfinished"></translation>
+        <translation>Ikäluokituksen 4. tason PIN -koodi</translation>
     </message>
     <message>
         <source>This PIN is used to enter Parental Control Level 4 as well as the Video Manager.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tällä PIN -koodilla päästään sisälle Ikäluokituksen 4. tasoon ja Videomanageriin.</translation>
     </message>
     <message>
         <source>Parental Level 3 PIN</source>
-        <translation type="unfinished"></translation>
+        <translation>Ikäluokituksen 3. tason PIN -koodi</translation>
     </message>
     <message>
         <source>This PIN is used to enter Parental Control Level 3.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tällä PIN -koodilla päästään Ikäluokituksen 3. tasoon.</translation>
     </message>
     <message>
         <source>Parental Level 2 PIN</source>
-        <translation type="unfinished"></translation>
+        <translation>Ikäluokituksen 2. tason PIN -koodi</translation>
     </message>
     <message>
         <source>This PIN is used to enter Parental Control Level 2.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tällä PIN -koodilla päästään Ikäluokituksen 2. tasoon.</translation>
     </message>
     <message>
         <source>Video Tree remembers last selected position</source>
-        <translation type="unfinished"></translation>
+        <translation>Videpuu muistaa viimeisen valitun kohdan</translation>
     </message>
     <message>
         <source>If set, the current position in the Video Tree is persistent.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, nykyinen paikka Videopuussa säilyy.</translation>
     </message>
     <message>
         <source>Directories that hold videos</source>
-        <translation type="unfinished"></translation>
+        <translation>Kansio joka sisältää videoita</translation>
     </message>
     <message>
         <source>Multiple directories can be separated by &apos;:&apos;. Each directory must exist and be readable by the user running MythVideo.</source>
-        <translation type="unfinished"></translation>
+        <translation>Useat kansiot voidaan erottaa &apos;:&apos;. Jokaisen kansion täytyy olla olemassa ja käyttäjällä, joka käyttää MythVideota, täytyy olla lukuoikeus kyseiseen kansioon.</translation>
     </message>
     <message>
         <source>DVD Drive Speed</source>
-        <translation type="unfinished"></translation>
+        <translation>DVD -aseman nopeus</translation>
     </message>
     <message>
         <source>Set DVD Drive Speed during DVD Playback. Speed is in multiples of 177KB/s</source>
-        <translation type="unfinished"></translation>
+        <translation>Aseta DVD -aseman nopeus DVD toiston ytheydessä. Nopeus on 177 KB/s:n kertoimilla</translation>
     </message>
     <message>
         <source>Let transcode determine frame rate</source>
-        <translation type="unfinished"></translation>
+        <translation>Anna transkoodauksen päätellä kuvanopeus</translation>
     </message>
     <message>
         <source>If set, transcode will determine the frame rate automatically. If not set, 23.976 is assumed.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos asetettu, transkoodaus päättelee kuvanopeuden automaattisesti. Jos ei ole asetettu, sen oletetaan olevan 23.976.</translation>
     </message>
     <message>
         <source>Enable automatic Parental Level from rating</source>
-        <translation type="unfinished"></translation>
+        <translation>Mahdollista automaattinen Ikäluokitus luokituksesta</translation>
     </message>
     <message>
         <source>If enabled, searches will automatically set the Parental Level to the one matching the rating below.</source>
-        <translation type="unfinished"></translation>
+        <translation>Jos mahdollistettu, haut määrittelevät automaattisesti Ikärajoituksen alla mainitusta luokittelusta.</translation>
     </message>
     <message>
         <source>Level %1</source>
@@ -788,31 +824,31 @@
     </message>
     <message>
         <source>Ratings containing these strings (separated by :) will be assigned to Parental Level %1.</source>
-        <translation type="unfinished"></translation>
+        <translation>Luokittelut, jotka sisältävät nämä lausekkeet, (eroteltuna :) tullaan määrittämään Ikäluokituksen tasolle %1.</translation>
     </message>
     <message>
         <source>Theme Error: browser/playwait has an invalid area.</source>
-        <translation>Teemavirhe: selain/soitin saa virheellisen tiedon.</translation>
+        <translation type="obsolete">Teemavirhe: selain/soitin saa virheellisen tiedon.</translation>
     </message>
     <message>
         <source>Theme Error: browser/novideos_info has an invalid area.</source>
-        <translation>Teemavirhe: selain/video saa virheellisen tiedon.</translation>
+        <translation type="obsolete">Teemavirhe: selain/video saa virheellisen tiedon.</translation>
     </message>
     <message>
         <source>Manually Enter Video #</source>
-        <translation>Manuaalinen Syöttö Numerolle</translation>
+        <translation type="obsolete">Manuaalinen Syöttö Numerolle</translation>
     </message>
     <message>
         <source>Manually Enter Video Title</source>
-        <translation>Manuaalinen Syöttö Nimelle</translation>
+        <translation type="obsolete">Manuaalinen Syöttö Nimelle</translation>
     </message>
     <message>
         <source>Reset Entry</source>
-        <translation>Tyhjennä Syöttö</translation>
+        <translation type="obsolete">Tyhjennä Syöttö</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Peruuta</translation>
+        <translation type="obsolete">Peruuta</translation>
     </message>
     <message>
         <source>Command</source>
